GWT 2.7.0

## com.google.gwt.user.client.ui
Interface FiresFormEvents

All Known Implementing Classes:
  FormPanel

Deprecated. This interface was specific to `FormPanel`; it is not generally useful and will be removed in a future version. Use `FormPanel.addSubmitHandler(FormPanel.SubmitHandler)` and `FormPanel.addSubmitCompleteHandler(FormPanel.SubmitCompleteHandler)` instead

    @Deprecated
    public interface FiresFormEvents

A widget that implements this interface fires the events defined by the `FormHandler` interface.

Method Summary
`void` | `addFormHandler(FormHandler handler)` Deprecated. Use `FormPanel.addSubmitCompleteHandler(com.google.gwt.user.client.ui.FormPanel.SubmitCompleteHandler)` and `FormPanel.addSubmitHandler(com.google.gwt.user.client.ui.FormPanel.SubmitHandler)` instead
`void` | `removeFormHandler(FormHandler handler)` Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by an add*Handler method instead

Method Detail

### addFormHandler

    @Deprecated
    void addFormHandler(FormHandler handler)

  Deprecated. Use `FormPanel.addSubmitCompleteHandler(com.google.gwt.user.client.ui.FormPanel.SubmitCompleteHandler)` and `FormPanel.addSubmitHandler(com.google.gwt.user.client.ui.FormPanel.SubmitHandler)` instead

  Adds a handler interface to receive click events.

  Parameters:
    `handler` - the handler interface to add

### removeFormHandler

    @Deprecated
    void removeFormHandler(FormHandler handler)

  Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by an add*Handler method instead

  Removes a previously added handler interface.

  Parameters:
    `handler` - the handler interface to remove

GWT 2.7.0